#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

using namespace std;

bool is_progression(vector<int> &a) {
    return (a[0] + a[5] == a[1] + a[4]) && (a[0] + a[5] == a[2] + a[3]); 
}

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n;
    cin >> n;

    vector<string> ans(n);

    for (int i = 0; i < n; i++) {
        vector<int> a(6);

        for (int j = 0; j < 6; j++) {
            cin >> a[j];
        }

        sort(a.begin(), a.end());

        if (is_progression(a))
            ans.push_back("yes");
        else
            ans.push_back("no");

    }

    for (auto a : ans)
        cout << a << endl;

    return 0;
}